Subject: Re: bug#71209: [PATCH] Add font-locking for variables in go-ts-mode range clauses

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Jun 2024 17:13:57 +0300

On 01/06/2024 04:42, Noah Peart wrote:
> 
> I've been using these for c++, I think they are still missing
> 
>      ;; for (auto x: ...)
>      (for_range_loop
>       declarator: (identifier) @font-lock-variable-name-face)
>      ;; auto& x
>      (reference_declarator
>       (identifier) @font-lock-variable-name-face)
>      ;; auto[&] [x, y]
>      (structured_binding_declarator
>       _ [(identifier)] @font-lock-variable-name-face)
> 
> I suppose most people keep the default font-locking for variable-name
> and variable-use, so these missing rules go unnoticed.

Do you want to submit a full patch with these as well?